所需权限:
project:modify · instance路径参数
string
required
项目 ID
请求体
string
更新后的项目名称(1-255 个字符)
string
更新后的项目描述(最多 2000 个字符)
响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PUT 'https://app.memorylake.cn/openapi/memorylake/api/v1/projects/proj-a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"name": "My Updated Project",
"description": "Updated project description"
}'
{
"success": true,
"message": "Project updated successfully",
"data": {
"id": "proj-a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6",
"name": "My Updated Project",
"description": "Updated project description",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-20T14:45:00Z"
}
}
更新现有项目的名称和/或描述
PUT /openapi/memorylake/api/v1/projects/{id}
project:modify · instancecurl -X PUT 'https://app.memorylake.cn/openapi/memorylake/api/v1/projects/proj-a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"name": "My Updated Project",
"description": "Updated project description"
}'
{
"success": true,
"message": "Project updated successfully",
"data": {
"id": "proj-a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6",
"name": "My Updated Project",
"description": "Updated project description",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-20T14:45:00Z"
}
}